Skip to main content
POST
/
v3
/
profiles
/
{profile}
/
normal-hours
Add Profile Normal Hour
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/profiles/{profile}/normal-hours \
  --header 'Content-Type: application/json' \
  --data '
{
  "available_from": "<string>",
  "available_until": "<string>"
}
'
{
  "data": {
    "id": 123,
    "profile_id": "<string>",
    "day_of_week": "<string>",
    "available_from": "<string>",
    "available_until": "<string>",
    "is_closed": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}

Path Parameters

profile
string<uuid>
required

The profile ID

Body

application/json
day_of_week
enum<string>
required
Available options:
MON,
TUE,
WED,
THU,
FRI,
SAT,
SUN
available_from
string | null
available_until
string | null

Response

ProfileNormalHour

data
ProfileNormalHour · object
required